com.atid.lib.module.barcode.ssi.type

## Enum UpcEanJanSupplementalAIMIDFormat

- java.lang.Object
- - java.lang.Enum<UpcEanJanSupplementalAIMIDFormat>
  - - com.atid.lib.module.barcode.ssi.type.UpcEanJanSupplementalAIMIDFormat

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<UpcEanJanSupplementalAIMIDFormat>

      public enum UpcEanJanSupplementalAIMIDFormat
      extends java.lang.Enum<UpcEanJanSupplementalAIMIDFormat>
      implements IEnumType

  Select an output format when reporting UPC/EAN/JAN bar codes with Supplementals with Transmit Code ID Character set to AIM Code ID Character:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Combined` transmit UPC/EAN with supplementals with one AIM ID and one transmission, i.e.: ]E3
    `Separate` transmit UPC/EAN with supplementals with separate AIM IDs but one transmission, i.e.: ]E<0 or 4>]E<1 or 2>[supplemental data]
    `SeparateTransmissions` transmit UPC/EAN with supplementals with separate AIM IDs and separate transmissions, i.e.: ]E<0 or 4> ]E<1 or 2>[supplemental data]

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static UpcEanJanSupplementalAIMIDFormat` | `valueOf(int code)`
    `static UpcEanJanSupplementalAIMIDFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UpcEanJanSupplementalAIMIDFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Separate

          public static final UpcEanJanSupplementalAIMIDFormat Separate

      transmit UPC/EAN with supplementals with separate AIM IDs but one transmission, i.e.: ]E<0 or 4>]E<1 or 2>[supplemental data]

    - #### Combined

          public static final UpcEanJanSupplementalAIMIDFormat Combined

      transmit UPC/EAN with supplementals with one AIM ID and one transmission, i.e.: ]E3

    - #### SeparateTransmissions

          public static final UpcEanJanSupplementalAIMIDFormat SeparateTransmissions

      transmit UPC/EAN with supplementals with separate AIM IDs and separate transmissions, i.e.: ]E<0 or 4> ]E<1 or 2>[supplemental data]

  - ### Method Detail

    - #### values

          public static UpcEanJanSupplementalAIMIDFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpcEanJanSupplementalAIMIDFormat c : UpcEanJanSupplementalAIMIDFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpcEanJanSupplementalAIMIDFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<UpcEanJanSupplementalAIMIDFormat>`

    - #### valueOf

          public static UpcEanJanSupplementalAIMIDFormat valueOf(int code)